开发者社区 > ModelScope模型即服务 > 正文

ModelScope 本地部署之后,运行方法测试,提示连接网络报错,想问本地部署之后也需要连接外网吗

https://www.modelscope.cn/docs/%E7%8E%AF%E5%A2%83%E5%AE%89%E8%A3%85
使用这个文档进行安装本地部署的

报错内容:
Traceback (most recent call last):
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connection.py", line 174, in _new_conn
conn = connection.create_connection(
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/util/connection.py", line 95, in create_connection
raise err
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/util/connection.py", line 85, in create_connection
sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connectionpool.py", line 712, in urlopen
self._prepare_proxy(conn)
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connectionpool.py", line 1012, in _prepare_proxy
conn.connect()
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connection.py", line 363, in connect
self.sock = conn = self._new_conn()
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connection.py", line 186, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/requests/adapters.py", line 486, in send
resp = conn.urlopen(
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connectionpool.py", line 827, in urlopen
return self.urlopen(
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connectionpool.py", line 827, in urlopen
return self.urlopen(
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/connectionpool.py", line 799, in urlopen
retries = retries.increment(
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/urllib3/util/retry.py", line 592, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.modelscope.cn', port=443): Max retries exceeded with url: /api/v1/models/damo/nlp_structbert_word-segmentation_chinese-base (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/data/models/modelscope/modelscope/pipelines/util.py", line 35, in is_official_hubimpl = HubApi().get_model(path, revision=revision)
File "/data/models/modelscope/modelscope/hub/api.py", line 236, in get_model
r = self.session.get(path, cookies=cookies,
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/requests/sessions.py", line 602, in get
return self.request("GET", url, kwargs)
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/requests/sessions.py", line 589, in request
resp = self.send(prep,
send_kwargs)
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/requests/sessions.py", line 703, in send
r = adapter.send(request, **kwargs)
File "/root/anaconda3/envs/python38/lib/python3.8/site-packages/requests/adapters.py", line 513, in send
raise ProxyError(e, request=request)
requests.exceptions.ProxyError: HTTPSConnectionPool(host='www.modelscope.cn', port=443): Max retries exceeded with url: /api/v1/models/damo/nlp_structbert_word-segmentation_chinese-base (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused')))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
File "/data/models/modelscope/modelscope/pipelines/builder.py", line 153, in pipeline
model = normalize_model_input(default_model_repo, model_revision)
File "/data/models/modelscope/modelscope/pipelines/builder.py", line 29, in normalize_model_input
if isinstance(model, str) and is_official_hub_path(model, model_revision):
File "/data/models/modelscope/modelscope/pipelines/util.py", line 41, in is_official_hub_path
return is_official_hub_impl(path)
File "/data/models/modelscope/modelscope/pipelines/util.py", line 38, in is_official_hub_impl
raise ValueError(f'invalid model repo path {e}')
ValueError: invalid model repo path HTTPSConnectionPool(host='www.modelscope.cn', port=443): Max retries exceeded with url: /api/v1/models/damo/nlp_structbert_word-segmentation_chinese-base (Caused by ProxyError('Cannot connect to proxy.', NewConnectionError(': Failed to establish a new connection: [Errno 111] Connection refused')))

展开
收起
游客q465u5j3y2pmg 2024-06-12 17:38:18 36 0
0 条回答
写回答
取消 提交回答

ModelScope旨在打造下一代开源的模型即服务共享平台,为泛AI开发者提供灵活、易用、低成本的一站式模型服务产品,让模型应用更简单!欢迎加入技术交流群:微信公众号:魔搭ModelScope社区,钉钉群号:44837352

相关电子书

更多
移动互联网测试到质量的转变 立即下载
给ITer的技术实战进阶课-阿里CIO学院独家教材(四) 立即下载
F2etest — 多浏览器兼容性测试整体解决方案 立即下载